Bug 1654213 - gnome-maps prints critical errors on exit
Summary: gnome-maps prints critical errors on exit
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-maps
Version: 31
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Kalev Lember
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-28 09:27 UTC by Jiri Prajzner
Modified: 2020-11-24 17:29 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-24 17:29:23 UTC
Type: Bug


Attachments (Terms of Use)

Description Jiri Prajzner 2018-11-28 09:27:00 UTC
Description of problem:
gnome-maps prints critical errors on exit

Version-Release number of selected component (if applicable):
3.30.2.1

How reproducible:
always

Steps to Reproduce:
1. launch gnome-maps
2. exit gnome-maps
3.

Actual results:
GLib-GObject-CRITICAL **: 10:24:51.911: g_param_spec_unref: assertion 'G_IS_PARAM_SPEC (pspec)' failed

GLib-GObject-CRITICAL **: 10:24:51.912: g_object_notify_by_pspec: assertion 'G_IS_PARAM_SPEC (pspec)' failed

Expected results:
no errors on exit

Additional info:

Comment 1 Kalev Lember 2018-11-28 09:52:47 UTC
Can you file this upstream at https://gitlab.gnome.org/GNOME/gnome-maps please? We don't have anyone working on gnome-maps code in Fedora, just packaging up what upstream releases.

Comment 2 Ben Cotton 2019-10-31 20:25:09 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Jiri Prajzner 2019-11-06 13:01:41 UTC
Gjs-WARNING **: 14:01:16.131: JS ERROR: Gio.IOErrorEnum: An object is already exported for the interface org.gnome.Sysprof3.Profiler at /org/gtk/Profiler
vfunc_dbus_unregister@resource:///org/gnome/Maps/js/application.js:269:9
main@resource:///org/gnome/Maps/js/main.js:57:12
run@resource:///org/gnome/gjs/modules/package.js:222:12
start@resource:///org/gnome/gjs/modules/package.js:206:5
@/usr/bin/gnome-maps:2:1

Comment 4 Ben Cotton 2020-11-03 16:51:10 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2020-11-24 17:29:23 UTC
Fedora 31 changed to end-of-life (EOL) status on 2020-11-24. Fedora 31 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.